Problems with PostgreSQLDirect .NET Data Provider, 2.00.2.

Problems with PostgreSQLDirect .NET Data Provider, 2.00.2.

Postby mike » Thu 10 Mar 2005 09:19

Since we have not received any reply to our emails sent to Core Lab- support, we are posting our problem here in this forum. Maybe someone else can help us out.

We are using NET.Framework 1.1, Postgres Database (Linux-version) Version 7.4.6.

The DEMO-driver which we downloaded on December 13, 2004 was version PostgreSQLDirect .NET Data Provider, 2.00.0 and it worked without any problems.

Thus the other day we purchased the Full-version and downloaded the same. At the time of our purchase, the version of the driver had changed and we downloaded the new version PostgreSQLDirect .NET Data Provider, 2.00.2.

Unfortunately with this new version we ran into problems. We can READ the tables in our DB but we cannot make any UPDATEs. If we re-install the earlier version, PostgreSQLDirect .NET Data Provider, 2.00.0, everything works again (of course with limitations since we have only the DEMO-version of PostgreSQLDirect .NET Data Provider, 2.00.0).

For instance when our application is in the phase of updating, it returns the following error:

An unhandled exception of type 'CoreLab.PostgreSql.PgSqlException' occurred in system.data.dll
Additional information: cross-database references are not implemented

We have tested the new driver with the enclosed example:

"vb.net table version DB"
Connection specific
Connection.UserId = edUser.Text
Connection.Password = edPassword.Text
Connection.Host = edHost.Text
Connection.Port = Convert.ToInt32(edPort.Text)
Connection.Database = edDatabase.Text

it works with simple SELECT-statement for reading data but UPDATEs won't work - we always get the same error:

"An unhandled exception of type 'CoreLab.PostgreSql.PgSqlException' occurred in system.data.dll
Additional information: cross-database references are not implemented"

Here is an example of our connection-string:

add key="strConn"
value="User ID=ourUserID;
Password=ourPassword;
Host=marte;
Port=5432;
Database=NG_ASCII;
Pooling=true;
Min Pool Size=0;
Max Pool Size=100;
Connection Lifetime=0"

Anyone who has ran into the same problems with the latest version ?

Anyone who knows from where we can download the FULL-version of 2.00.0 from CoreLab-site (of course using the credentials received by us while purchasing the product) ? I am asking since this version will probably work (at least the DEMO does).

Regards,

Mike
mike
 

Problems with PostgreSQLDirect .NET Data Provider, 2.00.2.

Postby Yuri » Fri 11 Mar 2005 14:12

We got your request and now examines the problem. Unfortunately now we couldn't give you any information.
As soon as we solve the problem, we'll let you know.
Yuri
 
Posts: 140
Joined: Mon 08 Nov 2004 12:07


Return to dotConnect for PostgreSQL